Software Requirements/Dependencies

  • Mint 18+ (Other versions might work as well)
  • docker
  • docker-compose
  • unzip

Installation Process

Using Mint is recommended when setting up a demo or simply having learning experiences with VECTR. For long term deployments Ubuntu/CentOS is recommended

Please install Mint 18 or 19 on your Host or as a VM prior to beginning these installation steps. You should have some knowledge of linux, hosted web applications, and Docker prior to this install or it may be difficult to complete.

Install Dependencies

Run the following in a terminal:

sudo apt-get install curl docker docker.io docker-compose unzip 

Install VECTR

Follow the remaining installation instructions here